net.i2p.crypto.eddsa.math

## Enum GroupElement.Representation

- java.lang.Object
- - java.lang.Enum<GroupElement.Representation>
  - - net.i2p.crypto.eddsa.math.GroupElement.Representation

- All Implemented Interfaces:
    Serializable, Comparable<GroupElement.Representation>
  Enclosing class:
    GroupElement

      public static enum GroupElement.Representation
      extends Enum<GroupElement.Representation>

  Available coordinate representations for a group element.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CACHED` Cached representation for intermediate calculations
    `P1P1` Completed representation for addition results
    `P2` Projective representation (X:Y:Z)
    `P3` Extended projective representation (X:Y:Z:T)
    `P3PrecomputedDouble` Extended representation with precomputed doubles.
    `PRECOMP` Precomputed representation for optimized operations

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GroupElement.Representation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GroupElement.Representation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CACHED

          public static final GroupElement.Representation CACHED

      Cached representation for intermediate calculations

    - #### P1P1

          public static final GroupElement.Representation P1P1

      Completed representation for addition results

    - #### P2

          public static final GroupElement.Representation P2

      Projective representation (X:Y:Z)

    - #### P3

          public static final GroupElement.Representation P3

      Extended projective representation (X:Y:Z:T)

    - #### P3PrecomputedDouble

          public static final GroupElement.Representation P3PrecomputedDouble

      Extended representation with precomputed doubles.

    - #### PRECOMP

          public static final GroupElement.Representation PRECOMP

      Precomputed representation for optimized operations

  - ### Method Detail

    - #### valueOf

          public static GroupElement.Representation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static GroupElement.Representation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GroupElement.Representation c : GroupElement.Representation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared